Subject: Re: 24.4; `display-time-world' tampers with TZ

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Jul 2015 15:29:33 +0300

> Date: Sun, 26 Jul 2015 12:48:44 -0700
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> Eli Zaretskii wrote:
> > Then I guess we are lucky, and nothing could possibly become broken.
> 
> Ha!  Fat chance.  But I gave it a shot by installing the patch as master 
> commit 	af32fa956267af40db61051c248597144d41521c and I'm marking this bug as done.

I needed the changes in 7009674 to get this to build cleanly on
MinGW.  One of the changes in that commit is in lib/time.in.h.  This
is the same problem already reported for another Gnulib header:

  http://lists.gnu.org/archive/html/bug-gnulib/2015-06/msg00035.html

It sounds like similar changes are needed in other Gnulib headers,
lest they produce similar problems at some point.  I can provide a
list of all the __need_SOMETHING symbols used by the MinGW headers, if
that will help.

After the above commit, Emacs builds and generally seems to work, but
crashes inside icalendar tests.  Seems like something with heap
corruption.  I'm looking into that now.

Thanks.